Create Proxy

Create a new proxy for a specific plan.

POST/proxies/create

Body Parameters

Security

Authorizationstringrequired

JWT Bearer token

Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Request Body

plan_idintegerrequired

ID of the plan to create the proxy for

1const response = await fetch('https://api.pinguproxy.com/proxies/create', {
2 method: 'POST',
3 headers: {
4 'Authorization': 'Bearer your-jwt-token',
5 'Content-Type': 'application/json'
6 },
7 body: JSON.stringify({
8 plan_id: 1
9 })
10});
11
12const proxy = await response.json();

Response

Status 200
{
"id": 1,
"username": "user123",
"password": "pass123",
"ip": "192.168.1.1",
"port": 12933,
"assigned_proxy_ipv4": "10.0.0.1",
"assigned_proxy_ipv6": "2001:db8::1",
"is_rotating": true,
"rotate_interval": 600,
"plan_ip_class": 1
}